#include <utiles.h>

typedef struct Nodo {
	struct Nodo * sig;
	char nombre[64];
	int telefono;
	float talla;
} Nodo;

typedef Nodo * NodoRef;

typedef struct Global {
	NodoRef ppio;
	NodoRef fin;
	char ruta[64];
} Global;


typedef Global * GlobalRef;

void iniciacion(GlobalRef);
void conclusion(GlobalRef);

void anadirPpio(GlobalRef);
void anadirFinal(GlobalRef);
void anadirPpioNodoDado(GlobalRef,NodoRef);
void anadirFinalNodoDado(GlobalRef,NodoRef);
NodoRef eliminarPrincipio(GlobalRef);
NodoRef eliminarFinal(GlobalRef);
void insertarOrdenadoNombreNodoDado(GlobalRef, NodoRef);
void insertarOrdenadoNombre(GlobalRef);
NodoRef eliminarOrdenadoNombre(GlobalRef);
void listado(GlobalRef);
void vaciar(GlobalRef);

void rellenarNodo(NodoRef);
void escribirPantalla(NodoRef);
